Bug 2126905

Summary: Packages tab - Add dropdown to select upgrade version
Product: Red Hat Satellite Reporter: Jeremy Lenz <jlenz>
Component: Hosts - ContentAssignee: Lucy Fu <lufu>
Status: CLOSED ERRATA QA Contact: Chris Roberts <chrobert>
Severity: medium Docs Contact:
Priority: high    
Version: 6.12.0CC: ahumbe, bangelic, chrobert, jlenz, pcreech, vsedmik
Target Milestone: 6.13.0Keywords: PrioBumpGSS, Triaged, UserExperience
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rubygem-katello-4.7.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-05-03 13:22:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
drop down package list none

Description Jeremy Lenz 2022-09-14 17:59:56 UTC
https://issues.redhat.com/browse/SAT-12145

from Ashish: “It is difficult to predict the number of customers using this version specific package installation but I can say that not all customers really use the latest version of the package to install on their clients. Specifically, customers use non-latest version of the kernel package to install on client systems. 

Is it possible to provide a setting or toggle button that will allow customers to list all available versions or just list the latest version of the package?  So customers can use it as per their need.”

We decided in the meeting to add a dropdown in the ‘Upgradable To’ table cell. The user will select the version to upgrade to before clicking upgrade.

Comment 1 Jeremy Lenz 2022-09-14 17:59:59 UTC
Created from redmine issue https://projects.theforeman.org/issues/35452

Comment 2 Jeremy Lenz 2022-09-14 18:00:00 UTC
Upstream bug assigned to lufu

Comment 6 Chris Roberts 2023-01-10 18:37:09 UTC
Created attachment 1937146 [details]
drop down package list

Comment 7 Chris Roberts 2023-01-10 18:38:04 UTC
I can see the drop-down list within the packages tab on the latest 6.13 snap. See the screenshot!

Moving to VERIFIED.

Comment 10 errata-xmlrpc 2023-05-03 13:22:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.13 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2023:2097